CREATE TABLE fnd_user_role_migration_retry (
    RETRY_USER_ROLE_ID    NUMBER        ,
    TARGET_ID             VARCHAR2(1024),
    USER_NAME             VARCHAR2(400) ,
    USER_ID               NUMBER(18, 0) ,
    ROLE_ID               NUMBER(18, 0) ,
    ROLE_COMMON_NAME      VARCHAR2(4000),
    OPERATION_TYPE        VARCHAR2(80)      NOT NULL,
    RESPONSE_CODE         VARCHAR2(80)  ,
    ERROR_CODE            VARCHAR2(400) ,
    FAILURE_MESSAGE       VARCHAR2(4000),
    RETRY_ATTEMPT         NUMBER(18, 0)     NOT NULL,
    RETRY_FLAG            VARCHAR2(20)      NOT NULL,
    TARGET                VARCHAR2(40)      NOT NULL,
    CREATION_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128) ,
    RETRY_USER_ROLE_ID    NUMBER        ,
    USER_NAME             VARCHAR2(400) ,
    USER_ID               NUMBER(18, 0) ,
    ROLE_ID               NUMBER(18, 0) ,
    ROLE_COMMON_NAME      VARCHAR2(4000),
    OPERATION_TYPE        VARCHAR2(80)      NOT NULL,
    RESPONSE_CODE         VARCHAR2(80)  ,
    ERROR_CODE            VARCHAR2(400) ,
    FAILURE_MESSAGE       VARCHAR2(4000),
    RETRY_ATTEMPT         NUMBER(18, 0)     NOT NULL,
    RETRY_FLAG            VARCHAR2(20)      NOT NULL,
    TARGET                VARCHAR2(40)      NOT NULL,
    CREATION_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128) ,
    TARGET_ID             VARCHAR2(1024),
    CONSTRAINT pk_fnd_user_role_migration_retry PRIMARY KEY (RETRY_USER_ROLE_ID, USER_ID, ROLE_ID, RETRY_USER_ROLE_ID, USER_ID, ROLE_ID)
);
